Freeciv-3.1: go_act_menu Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes
go_act_menu Class Reference

`#include <menu.h>`

Inheritance diagram for go_act_menu:

## Public Slots

void | start_go_act (int act_id, int sub_tgt_id)
void | reset ()
void | create ()
void | update ()

## Public Member Functions

| go_act_menu (QWidget *parent=nullptr)
virtual | ~go_act_menu ()

## Static Public Member Functions

static void | reset_all ()
static void | update_all ()

## Private Attributes

QMap< QAction *, int > | items

## Static Private Attributes

static QSet< go_act_menu * > | instances

## Detailed Description

Definition at line 233 of file menu.h.

## Constructor & Destructor Documentation

## ◆ go_act_menu()

go_act_menu::go_act_menu | ( | QWidget * | parent = `nullptr` | ) |

Instantiate a new goto and act sub menu.

Definition at line 697 of file menu.cpp.

## ◆ ~go_act_menu()

go_act_menu::~go_act_menu | ( |  | ) |

virtual

Destructor.

Definition at line 707 of file menu.cpp.

## Member Function Documentation

## ◆ create

void go_act_menu::create | ( |  | ) |

slot

Fill the new goto and act sub menu with menu items.

Definition at line 748 of file menu.cpp.

Referenced by update().

## ◆ reset

void go_act_menu::reset | ( |  | ) |

slot

Reset the goto and act menu so it will be recreated.

Definition at line 736 of file menu.cpp.

Referenced by reset_all().

## ◆ reset_all()

void go_act_menu::reset_all | ( |  | ) |

static

Reset all goto and act menu instances.

Definition at line 905 of file menu.cpp.

Referenced by real_menus_init().

## ◆ start_go_act

void go_act_menu::start_go_act | ( | int | act_id,
|  | int | sub_tgt_id
| ) |  |

slot

Activate the goto system

Definition at line 892 of file menu.cpp.

Referenced by create().

## ◆ update

void go_act_menu::update | ( |  | ) |

slot

Update the goto and act menu based on the selected unit(s)

Definition at line 852 of file menu.cpp.

Referenced by update_all().

## ◆ update_all()

void go_act_menu::update_all | ( |  | ) |

static

Update all goto and act menu instances

Definition at line 915 of file menu.cpp.

Referenced by real_menus_update().

## Field Documentation

## ◆ instances

QSet< go_act_menu * > go_act_menu::instances

staticprivate

Definition at line 236 of file menu.h.

Referenced by go_act_menu(), reset_all(), update_all(), and ~go_act_menu().

## ◆ items

QMap<QAction *, int> go_act_menu::items

private

Definition at line 238 of file menu.h.

Referenced by create(), reset(), and update().